Update a policy
Update a policy
Rewrites one of this seller’s policies.
PATCH
Update a policy
Authorizations
JWT token for an authenticated seller session (seller_api audience)
Headers
Path Parameters
Policy prefixed ID or slug
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
const options = {
method: 'PATCH',
headers: {
'X-Spree-Seller-Id': '<x-spree-seller-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', slug: '<string>', body: JSON.stringify('<string>')})
};
fetch('http://{defaultHost}/api/v3/seller/policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v3/seller/policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>' \
--data '
{
"name": "<string>",
"slug": "<string>",
"body": "<string>"
}
'{
"id": "pol_uw2YK1rnl0",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "Send anything back within 60 days.",
"body_html": "<p>Send anything back within 60 days.</p>",
"updated_at": "2026-01-15T12:00:00.000Z",
"created_at": "2026-01-15T12:00:00.000Z"
}Rewrites one of this seller’s policies.
const options = {
method: 'PATCH',
headers: {
'X-Spree-Seller-Id': '<x-spree-seller-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', slug: '<string>', body: JSON.stringify('<string>')})
};
fetch('http://{defaultHost}/api/v3/seller/policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v3/seller/policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>' \
--data '
{
"name": "<string>",
"slug": "<string>",
"body": "<string>"
}
'{
"id": "pol_uw2YK1rnl0",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "Send anything back within 60 days.",
"body_html": "<p>Send anything back within 60 days.</p>",
"updated_at": "2026-01-15T12:00:00.000Z",
"created_at": "2026-01-15T12:00:00.000Z"
}JWT token for an authenticated seller session (seller_api audience)
Policy prefixed ID or slug
Was this page helpful?
